#pragma once
#include "../stdafx.h"
#include "glLibLocals.h"
class glLibWindow {
	public:
		int size[2],multisample;
		bool fullscreen,vsync;
		GLclampf clear_color[4]; 
		SDL_Surface* screen;
		Uint32 screenflags;
	public:
		glLibWindow(int in_size[2], bool in_fullscreen=false, SDL_Surface* icon=NULL, const char* caption="glLib Window", int in_multisample=0, int position=0, bool in_vsync=true);
		~glLibWindow(void);

		void set_icon(SDL_Surface* icon);

		void set_caption(const char* caption);
		void set_caption(const string caption);

		void set_clear_color(int red, int green, int blue);
		void set_clear_color(int red, int green, int blue, int alpha);
		void set_clear_color(float red, float green, float blue);
		void set_clear_color(float red, float green, float blue, float alpha);
		void set_clear_color(double red, double green, double blue);
		void set_clear_color(double red, double green, double blue, double alpha);
		void set_clear_color(glLibFlagColor new_clear_color);

		void clear(void);

		void flip(void);

		void toggle_fullscreen(void);
		void set_fullscreen(bool value);
};